xindy (2.5.1.20160104-12) unstable; urgency=medium

  * For any reason master was committed w/ patches applied.
    Revert that step.
  * latin.xdy is built incorrectly (causing crash) (LP: #1735439)
  * Fix / Override Lintian stuff (also for source package).
  * Update 'Standards-Version' to 4.7.0. no changes required.
  * Simply delete modified files during clean stage; thanks to
    Phil Wyett <philip.wyett@kathenas.org> for the idea
    (Closes: #1048039).
  * Enable self tests from debian/ using autopkgtest.

 -- Hilmar Preuße <hille42@debian.org>  Fri, 20 Sep 2024 23:35:03 +0200

xindy (2.5.1.20160104-11) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on clisp.
    + xindy: Drop versioned constraint on clisp in Depends.

 -- Norbert Preining <norbert@preining.info>  Sat, 04 Sep 2021 18:27:48 +0900

xindy (2.5.1.20160104-10) unstable; urgency=medium

  * Apply patch from xindy PR 6 to fix hyperref compatibility.

 -- Norbert Preining <norbert@preining.info>  Tue, 09 Mar 2021 17:46:02 +0900

xindy (2.5.1.20160104-9) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper dependency to >= 9, since that's what is used in
    debian/compat.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Rely on pre-initialized dpkg-architecture variables.
  * Update standards version to 4.5.1, no changes needed.
  * Apply multi-arch hints.
    + xindy-rules: Add Multi-Arch: foreign.

  [ Hilmar Preusse ]
  * Apply patch for #968437, thanks to
    Petter Reinholdtsen <pere@hungry.com>, (Closes: #968437).
  * Lintian:
    W: xindy source: useless-autoreconf-build-depends autotools-dev
    W: xindy source: useless-autoreconf-build-depends dh-autoreconf
    W: national-encoding
    P: copyright-refers-to-symlink-license
  * Lintian Override for Xindy input files:
    W: xindy-rules: national-encoding

 -- Hilmar Preusse <hille42@web.de>  Sat, 16 Jan 2021 21:56:30 +0100

xindy (2.5.1.20160104-8) unstable; urgency=medium

  New Upload to force rebuild (Closes: #934633)

  * Add me to Uploaders.
  * Fix Debian/watch file.
  * Bump Standards Version, no changes necessary.

 -- Hilmar Preusse <hille42@web.de>  Mon, 12 Aug 2019 22:20:18 +0200

xindy (2.5.1.20160104-7) unstable; urgency=medium

  * source only upload

 -- Norbert Preining <norbert@preining.info>  Fri, 19 Jul 2019 14:38:36 +0900

xindy (2.5.1.20160104-6) unstable; urgency=medium

  * update VCS, my email, standards version

 -- Norbert Preining <norbert@preining.info>  Sat, 02 Mar 2019 15:37:26 +0900

xindy (2.5.1.20160104-5) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Use clisp-memfile-hash instead of clisp-fasl-loader virtual dependency. See
    the discussion in #886986 for more details. (Closes: #896124)

  [ Norbert Preining ]
  * update VCS fields to Salsa

 -- Norbert Preining <preining@debian.org>  Fri, 20 Apr 2018 10:35:26 +0900

xindy (2.5.1.20160104-4) unstable; urgency=medium

  * rebuild for new clisp-fasl-loader

 -- Norbert Preining <preining@debian.org>  Mon, 23 Oct 2017 08:00:47 +0900

xindy (2.5.1.20160104-3) unstable; urgency=medium

  * cleanup patches, bump standards version (no changes necessary)
  * bump (b-)depends on clisp to avoid clisp-fasl-loader problems
    (See #877223, thanks Agustin Martin)

 -- Norbert Preining <preining@debian.org>  Thu, 12 Oct 2017 08:53:58 +0900

xindy (2.5.1.20160104-2) unstable; urgency=medium

  [ Hilmar Preuße ]
  * Patch from Agustin Martin to fix unescaped left brace
    (Closes: #826507)

  [ Norbert Preining ]
  * Use kpsewhich to search for modules.
    Patch by Akira Kakuto, TeX Live subversion: 41315 and 41316
  * bump standards version, no changes necessary
  * dh compat version 9

 -- Norbert Preining <preining@debian.org>  Mon, 19 Jun 2017 16:34:54 +0900

xindy (2.5.1.20160104-1) unstable; urgency=medium

  * Take over of maintainership into Debian TeX group.
  * Ack NMU fixes (Closes: #617378, #713496, #739143)
  * new upstream releases
  * fix FTBFS due to missing quotes around CPPFLAGS (Closes: #809053)
  * switch to quilt format from dpatch
    - rename patches
    - disable config.* dpatch scripts, replace by dh_autotools-dev_updateconfig
    - remove dpatch dependency, change source format
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Fri, 15 Jan 2016 23:01:49 +0900

xindy (2.4-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Build-Depends on texlive-fonts-recommended to fix
    FTBFS: I can't find file `ecrm1000'. (Closes: #739143)

 -- Andreas Moog <andreas.moog@warperbbs.de>  Sun, 16 Feb 2014 21:26:40 +0100

xindy (2.4-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control:
    - Add texlive-lang-greek build dependency. Seems no longer
      pulled automatically by TeXLive (Closes: #713496).
    - Bump Standards Version. No changes needed.
    - (lintian vcs-git-uses-invalid-user-uri): Use recommended URI for git
      anonymous access.
    - (lintian dm-upload-allowed-is-obsolete): Remove obsolete
      "DM-Upload-Allowed" field.
  * debian/xindy-rules.docs: Do not install NEWS. It is installed as
    changelog by debian/rules.
  * debian/rules: Use hardened build-flags.
  * Be kind to Ubuntu launchpad: These were fixed in fixed in 2.4-1.1 NMU
    - (LP: #871588).
    - (LP: #939545).

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 26 Jun 2013 18:25:19 +0200

xindy (2.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Make xindy work around clisp 2.49 not bumping LISPOBJ(version..)
    thus giving wrong clisp-fasl-loader version (Closes: #617378).
    This change is a dirty hack for xindy that should be reverted
    when built against newer clisp upstream release.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 02 Sep 2011 17:19:04 +0200

xindy (2.4-1) unstable; urgency=low

  * New upstream release (closes: #555947)

  * Removed patches from the Debian package:
    + fix-manpages: the manpage in question was removed

    + rebuild-manpages: upstream updated the manpages, hence the
      problem with hyphen vs. dash is gone.

  * Set dependency on clisp-fasl-loader to ensure the correct clisp
    version is installed, because clisp's memory dumps depend on the
    version used for the dump. (closes: #580762)

  * Bumped Standards-Version; no changes needed.

  * Added debian/source/format to the source package. We still use
    format version 1.0, because we use dpatch with the script patch
    config.guess+sub.

  * Provided watch file.

  * Dropped useless dependency on texlive-xetex. It was added erroneously.

 -- Jörg Sommer <joerg@alea.gnuu.de>  Sun, 01 Aug 2010 04:31:43 +0200

xindy (2.4~pre1-3) unstable; urgency=low

  * Added clisp to the list of dependencies of xindy. (closes: #558167)

 -- Jörg Sommer <joerg@alea.gnuu.de>  Sat, 28 Nov 2009 01:46:29 +0100

xindy (2.4~pre1-2) unstable; urgency=low

  * Added a workaround for the broken check around
    --disable-(make-rules|docs) in configure. (closes: #548451)

 -- Jörg Sommer <joerg@alea.gnuu.de>  Tue, 10 Nov 2009 19:27:53 +0100

xindy (2.4~pre1-1) unstable; urgency=low

  * New upstream release; downloaded from
    http://www.xindy.org/xindy-2.4-SNAPSHOT.tar.gz on 2009-09-20.

  * Remove dpatches:
    + latex-call and fix-stdout are applied upstream

    + fix-clisp-problems is obsolate due to new upstream source structure

  * New version requires build dependency on texlive-xetex.

  * Remove libffcall1-dev for build dependencies and replace clisp-dev by
    clisp, because the new version doesn't use an external clisp module,
    anymore.

  * Mark the xindy package buildable on any architecture, because we
    aren't limited to the architectures with external linking support
    anymore. We can build everywhere where CLISP is.

  * Added DM-Upload-Allowed to allow direct uploads by me.

  * Added fix-alphabets-doc-geometry.dpatch to correct the geometry of
    the document /u/s/d/x/alphabets-doc.pdf.
    Thanks to Simon Spiegel <simon@simifilm.ch> for reporting this issue.

  * Added the file README.source to describe how to use dpatch (or better
    said link to the defaul description in /usr/share/doc/dpatch). This
    satisfies the requirement of the Debian policy 3.8.0.

  * Bump policy version to 3.8.3

  * Upload is sponsored by Norbert Preining.

 -- Jörg Sommer <joerg@alea.gnuu.de>  Tue, 22 Sep 2009 12:50:30 +0200

xindy (2.3-2) unstable; urgency=low

  * I found a better way to work around for the broken ordrulei.c
    generated by clisp. Added the dpatch fix-clisp-problems.dpatch for it
    and extended it to fix the new problems. (closes: #467585)

  * Added libffcall1-dev to the Build-Depends field, because it's
    necessary on linking with clisp-link, but clisp-dev doesn't have it
    as dependency. Otherwise the build of Xindy would fail.

  * Forgot to move the files in /u/l/xindy/modules/styles to
    /u/s/xindy/styles. Extended fix-FHS.dpatch.

  * Upload is sponsored by Norbert Preining.

 -- Jörg Sommer <joerg@alea.gnuu.de>  Sun, 02 Mar 2008 02:51:18 +0100

xindy (2.3-1) unstable; urgency=low

  * New upstream release

  * Removed external-clisp.dpatch, fix-cleanup.dpatch, fix-serbian.dpatch
    and fix-errors.dpatch. All are applied to the upstream source.

  * Rebuilt the manual pages tex2xindy.1, texindy.1 and xindy.1 at
    buildtime to fix the hyphen vs. minus sign problems. Removed the
    patch fix-manpage.dpatch.

  * Added a new patch fix-manpages.dpatch to correct the section of
    xindy.v2.1; 1 instead of 1L.

  * Adapted fix-FHS.dpatch to the new sources.

  * Made the path to clisp more generic. (closes: #458883)

  * Added workaround for broken clisp.
    + Clisp generates a broken rte/ordrules/ordrulei.c which includes
      undefined data types. Fixed by removing this lines from the
      generated file.

    + clisp-link calls the linker with -ldb, but a libdb.so doesn't
      exist. Clisp itself is linked against libdb-4.6. Due to this I
      replace the -ldb by -ldb-4.6 in the file makevars.

    + clisp-link links the binary with libSM and libICE while
      dpkg-shlibdeps complains no symbols are used from these libraries.
      Removed them from the linker call.

  * Used the (new) real header instead of the Homepage pseudo header.

  * Added Vcs-Browser and Vcs-Git header.

  * Bumped Standards-Version; no changes needed.

  * Updated get-orig-source target in rules.

  * Added a simple function test simple_index in debian/tests.

  * Upload is sponsored by Norbert Preining.

 -- Jörg Sommer <joerg@alea.gnuu.de>  Wed, 23 Jan 2008 02:46:46 +0100

xindy (2.2~beta2-3) unstable; urgency=low

  * Acknowledge NMU. (closes: #424976)

  * Excluded arm, hppa, ia64, m68k, mipsel and s390 from the list of
    supported architectures. For every other architecture the clisp
    maintainer had enabled FFI support, at least in version 1:2.41-1.
    (closes: #425143)

  * Upload is sponsored by Norbert Preining.

 -- Jörg Sommer <joerg@alea.gnuu.de>  Sun, 20 May 2007 21:45:21 +0200

xindy (2.2~beta2-2.1) unstable; urgency=low

  * NMU of the sponsor to really fix the build issue
  * make the build target in debian/rules emtpy, binary-arch and
    binary-indep does everything (Closes: #424976)

 -- Norbert Preining <preining@debian.org>  Sat, 19 May 2007 11:15:12 +0200

xindy (2.2~beta2-2) unstable; urgency=low

  * Changed the build rules (in debian/rules) to use different configure
    calls for the different targets build-indep and build-arch. For
    build-arch, configure is instructed to build no documentation and
    make-rules, because latex is not available. (closes: #424976)

  * Removed tetex-extra as a possible build dependency, because it's
    removed from Debian.

  * Upload is sponsored by Norbert Preining.

 -- Jörg Sommer <joerg@alea.gnuu.de>  Fri, 18 May 2007 16:02:43 +0200

xindy (2.2~beta2-1) unstable; urgency=low

  * Initial release; closes: #362584

  * Moved the files in the directory /usr/lib/xindy/modules/ to the more
    FHS-compatible directory /usr/share/xindy/, because they are
    architecture-independent.

  * Upload is sponsored by Norbert Preining

 -- Jörg Sommer <joerg@alea.gnuu.de>  Tue, 27 Feb 2007 15:06:56 +0100
